GET /api/utils/wallet/checksum/{address}
/api/utils/wallet/checksum/:address
GET checksum data from utils service
Endpoint​
GET https://api.web3identity.com/api/utils/wallet/checksum/{address}
Example Request​
curl -s "https://api.web3identity.com/api/utils/wallet/checksum/:address" | jq
Responses​
200 Success​
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"balance": "12.456789",
"balanceUsd": 40567.89,
"tokens": [
{
"symbol": "ETH",
"balance": "12.456789",
"balanceUsd": 40567.89
},
{
"symbol": "USDC",
"balance": "5000.00",
"balanceUsd": 5000
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec